#Pmod 2

set_property PACKAGE_PIN P13 [get_ports {spi_rtl_ss_io[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {spi_rtl_ss_io[0]}]

set_property PACKAGE_PIN P14 [get_ports spi_rtl_io0_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_io0_io]

set_property PACKAGE_PIN N11 [get_ports spi_rtl_io1_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_io1_io]

set_property PACKAGE_PIN N12 [get_ports spi_rtl_sck_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_sck_io]


#Creating SCK Clock at 100Mhz
create_clock -period 10.000 -name clk_sck [get_ports spi_rtl_sck_io]

# Set Input Delay
set_input_delay -clock clk_sck -clock_fall -max 0.00 [get_ports spi_rtl_io0_io]
set_input_delay -clock clk_sck -clock_fall -min 0.00 [get_ports spi_rtl_io0_io]

set_input_delay -clock clk_sck -clock_fall -max 0.0 [get_ports spi_rtl_io1_io]
set_input_delay -clock clk_sck -clock_fall -min 0.0 [get_ports spi_rtl_io1_io]

# Set Output Delay
set_output_delay -clock clk_sck -max -2.00 [get_ports spi_rtl_sck_io]
set_output_delay -clock clk_sck -min 0.075 [get_ports spi_rtl_sck_io]

set_output_delay -clock clk_sck -max 0.000 [get_ports spi_rtl_io0_io]
set_output_delay -clock clk_sck -min 0.000 [get_ports spi_rtl_io0_io]

set_output_delay -clock clk_sck -max 0.000 [get_ports spi_rtl_io1_io]
set_output_delay -clock clk_sck -min 0.000 [get_ports spi_rtl_io1_io]

set_output_delay -clock clk_sck -max -0.300 [get_ports spi_rtl_ss_io[0]]
set_output_delay -clock clk_sck -min 0.000 [get_ports spi_rtl_ss_io[0]]




